<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/02/xpath-functions" xmlns:xdt="http://www.w3.org/2005/02/xpath-datatypes">
    <xsl:output version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="no" media-type="text/html" />
    <xsl:template match="/">
        <html>
            <head>
                <title />
            </head>
            <body style="margin-left:0; margin-right:0; margin-top:0; ">
                <table border="0" width="100%">
                    <tbody>
                        <tr bgcolor="#8080C0">
                            <td align="center" colspan="3" valign="top" width="200">
                                <span style="color:#FFFFFF; font-family:Courier New; font-weight:bold; ">CDLibX v
				<xsl:for-each select="CDLibX">
				<xsl:for-each select="Version">
				<xsl:apply-templates />
				</xsl:for-each>
				</xsl:for-each>
				</span>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" valign="top">
                                <br />
                                <span style="font-weight:bold; ">最近更新</span>
                                <hr color="#0080C0" size="3" />
                                <xsl:for-each select="CDLibX">
                                    <xsl:for-each select="Album">
                                        <table border="0" width="100%">
                                            <tbody>
                                                <tr>
                                                    <td width="100">
                                                        <xsl:for-each select="CDID">
							<a>
                                                            <xsl:attribute name="href"><xsl:text disable-output-escaping="yes">http://cdlibx/CDID/</xsl:text><xsl:value-of select="." /><xsl:text disable-output-escaping="yes">.xml</xsl:text></xsl:attribute>
							    <img border="0">
                                                                <xsl:attribute name="src"><xsl:text disable-output-escaping="yes">http://cdlibx/ThumbByCDID/</xsl:text><xsl:value-of select="." /><xsl:text disable-output-escaping="yes">.xml</xsl:text></xsl:attribute>
                                                            </img>
							    </a>
                                                        </xsl:for-each>
                                                    </td>
                                                    <td align="left">
                                                        <xsl:for-each select="Title">
							<a>
							<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">http://cdlibx/CDID/</xsl:text><xsl:value-of select="../CDID" /><xsl:text disable-output-escaping="yes">.xml</xsl:text></xsl:attribute>
							<span style="color:#004080; font-size:smaller; font-weight:bold; text-decoration:none; ">
                                                            <xsl:apply-templates />
							    </span>
							    </a>
                                                        </xsl:for-each>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </xsl:for-each>
                                </xsl:for-each>
                            </td>
                            <td valign="top" width="200">
                                <br />
                                <span style="font-weight:bold; ">标签</span>
                                <hr color="#0080C0" size="3" />
                                <xsl:for-each select="CDLibX">
                                    <xsl:for-each select="Tag">
                                        <xsl:for-each select="TagName">
                                            <a>
                                                <xsl:attribute name="href"><xsl:text disable-output-escaping="yes">http://cdlibx/TAG/</xsl:text><xsl:value-of select="../TagID" /><xsl:text disable-output-escaping="yes">.xml</xsl:text></xsl:attribute>
                                                <span style="color:#008040; font-size:smaller; font-weight:bold; text-decoration:none; ">
						<xsl:apply-templates />
						</span>
                                            </a>
					    <br />
                                        </xsl:for-each>
                                    </xsl:for-each>
                                </xsl:for-each>
                                <br />
                                <br />
                                <span style="font-weight:bold; ">链接</span>
                                <hr color="#0080C0" size="3" />
                                <xsl:for-each select="CDLibX">
                                    <xsl:for-each select="Link">
                                        <xsl:for-each select="Caption">
                                            <a target="_blank">
                                                <xsl:attribute name="href"><xsl:value-of select="../Href" /></xsl:attribute>
                                                <span style="color:#008040; font-size:smaller; font-weight:bold; text-decoration:none; ">
						<xsl:apply-templates />
						</span>
                                            </a>
					    <br />
                                        </xsl:for-each>
                                    </xsl:for-each>
                                </xsl:for-each>
                                <br />
                                <br />
                                <span style="font-weight:bold; ">其他</span>
                                <hr color="#0080C0" size="3" />
                                <span style="font-weight:bold;font-size:smaller;">数据库大小 </span>
                                <xsl:for-each select="CDLibX">
                                    <xsl:for-each select="Stat">
                                        <xsl:for-each select="Size">
                                            <xsl:apply-templates />
                                        </xsl:for-each>Bytes
                                    </xsl:for-each>
                                </xsl:for-each>
                                <br />
                                <span style="font-weight:bold;font-size:smaller;">专辑数目&#160; </span>
                                <xsl:for-each select="CDLibX">
                                    <xsl:for-each select="Stat">
                                        <xsl:for-each select="AlbumRec">
                                            <xsl:apply-templates />
                                        </xsl:for-each>
                                    </xsl:for-each>
                                </xsl:for-each>
                                <br />
                                <span style="font-weight:bold;font-size:smaller;">单曲数目&#160; </span>
                                <xsl:for-each select="CDLibX">
                                    <xsl:for-each select="Stat">
                                        <xsl:for-each select="TrackRec">
                                            <xsl:apply-templates />
                                        </xsl:for-each>
                                    </xsl:for-each>
                                </xsl:for-each>
                                <br />
                            </td>
                        </tr>
                    </tbody>
                </table>
                <br />

                <p align="center">
                    <a>
                        <xsl:attribute name="href"><xsl:text disable-output-escaping="yes">mailto:xiaoyisheng@gmail.com</xsl:text></xsl:attribute>
                        <span style="color:#000000; font-size:smaller; text-decoration:none; ">Copyright (c) Pacino</span>
                    </a>
                    <br />
                </p>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
